## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanNodeListDummy Class Reference

Inheritance diagram for XalanNodeListDummy:

[legend]
Collaboration diagram for XalanNodeListDummy:

[legend]
List of all members.

## Public Member Functions

- XalanNodeListDummy ()
- virtual ~XalanNodeListDummy ()
- XalanNodeListDummy & operator= (const XalanNodeListDummy &)
- virtual XalanNode * item (unsigned int index) const
    Returns the `index`th item in the collection.
- virtual unsigned int getLength () const
    Returns the number of nodes in the list.

## Constructor & Destructor Documentation

XalanNodeListDummy::XalanNodeListDummy | ( |  | ) |

virtual XalanNodeListDummy::~XalanNodeListDummy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual unsigned int XalanNodeListDummy::getLength | ( |  | ) | const`[virtual]`

| Returns the number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive. Implements XalanNodeList.

virtual XalanNode* XalanNodeListDummy::item | ( | unsigned int | index | ) | const`[virtual]`

  | Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`. Parameters:
  index | Index into the collection.
Returns: The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index. Implements XalanNodeList.

XalanNodeListDummy& XalanNodeListDummy::operator= | ( | const XalanNodeListDummy & |  | ) |

The documentation for this class was generated from the following file:

- XalanNodeListDummy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.